﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows.Input;

namespace Sample
{
    public class MainWindowViewModel : INotifyPropertyChanged
    {


        public ICommand OnRemoveCommand { get; set; }


        private string _name;
        public string Name
        {
            get { return _name; }
            set
            {
                if (_name != value)
                {
                    _name = value;
                    OnPropertyChanged();
                }
            }
        }

        private SampleData _SelectedItem;
        public SampleData SelectedItem
        {
            get { return _SelectedItem; }
            set
            {
                if (_SelectedItem != value)
                {
                    _SelectedItem = value;
                    OnPropertyChanged();
                }
            }
        }

        public ObservableCollection<SampleData> Records { get; set; }



        public MainWindowViewModel()
        {
            this.OnRemoveCommand = new RemoveCommand(this);

            Records = new ObservableCollection<SampleData>();

            for (int i = 1; i < 10; i++)
            {
                Records.Add(new SampleData()
                {
                    No = i,
                    Date = DateTime.Today.AddDays(i),
                    Start = new TimeSpan(9, 0, 0),
                    End = new TimeSpan(17, 0, 0),
                });
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        private void OnPropertyChanged([CallerMemberName] String propertyName = "")
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }


    }

    public class SampleData
    {
        public int No { get; set; }


        public DateTime Date { get; set; }

        public TimeSpan Start { get; set; }
        public TimeSpan End { get; set; }


    }
}
